/* $forms
 ------------------------------------------*/
@charset "UTF-8";

label {
    font-weight: $font-weight-medium;
}

textarea {
    resize: vertical;
}

.no-resize {
    resize: none;
}

.form-control {
    @include placeholder($input-color-placeholder);
}

.placeholder {
    color: $input-color-placeholder;
}

.form-control {
    border-color: $input-border;
    font-weight: $font-weight-base;
    font-size: $font-size-base;
    -webkit-font-smoothing: antialiased;
    @include border-radius($input-border-radius-base);
    @include transition(border $transition-duration linear);
    @include box-shadow(none);
}

.form-control:focus {
    border-color: $input-border-focus;
    @include box-shadow(none);
}

/* Validation States */
.has-success {
    @include form-control-validation($brand-success, $brand-success, $brand-success);
}

.has-warning {
    @include form-control-validation($brand-warning, $brand-warning, $brand-warning);
}

.has-error {
    @include form-control-validation($brand-danger, $brand-danger, $brand-danger);
}

.spinner .form-control {
    text-align: center;
}
